#ifndef MTL_STD_ABS_H
#define MTL_STD_ABS_H

#include "mtl/mtl_config.h"

namespace std {
  inline double abs_(double a) {
    return a > 0 ? a : -a;
  }
  inline long double abs_(long double a) {
    return a > 0 ? a : -a;
  }
  inline float abs_(float a) {
    return a > 0 ? a : -a;
  }
  inline long abs_(long a) {
    return a > 0 ? a : -a;
  }
#if !defined ( _MSVCPP7_ )
  inline int abs_(int a) {
    return a > 0 ? a : -a;
  }
#endif
	inline double abs_(const complex<double>& a) {
		return abs(a);
	}
}

#endif
